Zapmail
latest
  • latest
  • v1
latest
  • latest
  • v1
Sign In
latest
  • latest
  • v1
Root
Root
  1. subscriptions
  • Zapmail Docs
  • users
    • Retrieve User Details
      GET
  • quick setup
    • Quick Setup
      POST
  • workspaces
    • Retrieve all workspaces
      GET
    • Create new workspace
      POST
    • Update workspace
      PUT
    • List all workspace members
      GET
    • Update user role
      PUT
    • Revoke User Access
      DELETE
    • Send invitiation to join workspace
      POST
    • List all invitations
      GET
    • Revoke invitation
      DELETE
    • Update Domain Renewal Settings
      POST
  • billing
    • Add Billing Details
      POST
    • Update Billing Details
      PUT
  • mailbox
    • Retrieve All Mailboxes
      GET
    • Get Mailbox Details by ID
      GET
    • Assign New Mailboxes to Domains
      POST
    • Update mailbox
      PUT
    • Remove mailboxes on next renewal
      PUT
    • Get Authenticator code
      GET
    • Custom OAuth
      POST
    • schedule mailbox creation
      POST
    • retry creation of failed mailboxes
      PUT
  • payments & wallet
    • Add balance to wallet
    • Get wallet balance
    • Enable auto recharge
    • Purchase add on mailboxes
    • get invoices for subscription
  • export
    • Export mailboxes
    • Add third party account details
    • Update third party account details
    • Get Export Status
    • Fetch Workspaces by App
  • subscriptions
    • Get all subscriptions
      GET
    • Cancel subscription
      POST
    • Upgrade existing subscription
      POST
    • Purchase subscription
      POST
    • Get Mailboxes in a Subscription
      POST
  • domains
    • Retrieve All Domains
    • List Assignable Domains
    • Add DMARC record
    • Add Domain forwarding
    • Get Name servers to connect domain
    • Verify Name Server Propagation
    • Connect Domain with Zapmail
    • Enable email forwarding
    • Remove email forwarding
    • Enable catch all emails
    • Remove catch all emails
    • Check DNS records
    • Remove unused domains
    • Get available domains for registration
    • Get domains purchase payment link
    • Get domain connection requests
    • Remove domain connection requests
    • Connect Domain with Zapmail (New)
    • Add Google Client ID to Domain
    • Get availability of multiple domain names.
    • Retrieve Domain Health Score
    • Retrieve All Domains (With filters)
    • AI Domain Finder
    • Move Domains Across workspace
    • Assign Domain Tag
    • list domain tags
    • Create Domain Tags
    • Remove Domain Forwarding
    • List Domains Eligible for Renewal
    • Get Renewal Price
    • Renew Domains
    • Delete Tag
    • Remove Tags From Domains
    • Update Auto Renew Preference
  • dns
    • Get dns records
    • Add dns records
    • Update dns records
    • Delete dns records
  • High Reputation Domains
    • Get available domains
    • Purchase high reputation domains
  • prewarmed domains
    • Get prewarmed domains
    • purchase prewarmed subscription
    • Assign prewarmed mailboxes
    • Get Available Domains Count
    • Get Prewarm Subscriptions
  • placement test
    • Get subscriptions
    • Get Overall Report
    • Get placement test orders
    • Get report by cart order id
    • Get Eligible Mailboxes for Placement Tests
    • Get Available Placement Test Credits
    • Purchase Placement Test
    • Purchase plan
    • Cancel Subscription
  • dns shield
    • Get eligible domains
    • Get available slots
    • Get subscriptions
    • Get Allocated Domains for Subscription
    • Allocate Domains to DNS Shield
    • Purchase DNS Shield
    • Upgrade DNS Shield LTD Plan
    • Cancel subscription
  • global
    • Global mailbox-domain search
  • zapbox
    • List Connected Accounts
    • Fetch emails
    • get emails from a thread
    • Search emails
    • Download Attachment
    • Create New Label
    • Delete Label
    • Rename Label
  • Schemas
    • domain with filter
  1. subscriptions

Get all subscriptions

GET
/v2/subscriptions
Fetch all subscriptions associated with the authenticated user, including active, cancelled, and expired subscriptions, along with plan and billing details.

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Body

🟠400Badf Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.zapmail.ai/api/v2/subscriptions?status=ACTIVE&contains' \
--header 'x-auth-zapmail;' \
--header 'x-workspace-key;' \
--header 'x-service-provider;'
Response Response Example
200 - Success
{
    "status": 200,
    "message": "User subscriptions",
    "data": [
        {
            "id": "abcd1234-5678-90ef-ghij-klmn12345678",
            "subscriptionId": "sub_1XYZabc1234567890QWERTY",
            "subscriptionStatus": "ACTIVE",
            "plan": "ENTERPRISE",
            "price": 199,
            "totalMailboxQuantity": 500,
            "periodStart": "2025-01-01T08:00:00.000Z",
            "periodEnd": "2025-02-01T08:00:00.000Z",
            "subscriptionCreationDate": "2024-12-01T08:00:00.000Z",
            "planUpgradeCancelPossible": false,
            "paymentFailureMessage": null,
            "invoiceDetails": "https://invoice.example.com/i/test_invoicenumber_1"
        },
        {
            "id": "efgh5678-1234-90ij-klmn-opqr45678901",
            "subscriptionId": "sub_2XYZabc1234567890ASDFGH",
            "subscriptionStatus": "CANCELLED",
            "plan": "BASIC",
            "price": 29,
            "totalMailboxQuantity": 20,
            "periodStart": "2024-06-15T08:00:00.000Z",
            "periodEnd": "2024-07-15T08:00:00.000Z",
            "subscriptionCreationDate": "2024-05-15T08:00:00.000Z",
            "planUpgradeCancelPossible": true,
            "paymentFailureMessage": "Payment method expired",
            "invoiceDetails": "https://invoice.example.com/i/test_invoicenumber_2"
        }
    ]
}
Modified at 2026-01-31 08:17:27
Previous
Fetch Workspaces by App
Next
Cancel subscription
Built with